Find the answer to your Linux question:
Results 1 to 5 of 5
Hi.I make a USB with persistence Lubuntu, and after i try it to upgrade it i get some errors and I cannot install anything.Ofcourse upgrade failed .Here are some output ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Apr 2012
    Posts
    5

    Lubuntu -problems with upgrade


    Hi.I make a USB with persistence Lubuntu, and after i try it to upgrade it i get some errors and I cannot install anything.Ofcourse upgrade failed .Here are some output maybe anyone can help me to fix this problem:

    sudo apt-get -f install:

    Code:
    sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 319 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up initramfs-tools (0.99ubuntu13) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing initramfs-tools (--configure):
     subprocess installed post-installation script returned error exit status 1
    No apport report written because MaxReports is reached already
                                                                  Setting up plymouth-theme-ubuntu-text (0.8.2-2ubuntu30) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing plymouth-theme-ubuntu-text (--configure):
     subprocess installed post-installation script returned error exit status 1
    No apport report written because MaxReports is reached already
                                                                  Errors were encountered while processing:
     initramfs-tools
     plymouth-theme-ubuntu-text
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    sudo dpkg --configure -a
    Code:
    sudo dpkg --configure -a
    Setting up initramfs-tools (0.99ubuntu13) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing initramfs-tools (--configure):
     subprocess installed post-installation script returned error exit status 1
    Setting up plymouth-theme-ubuntu-text (0.8.2-2ubuntu30) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing plymouth-theme-ubuntu-text (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initramfs-tools
     plymouth-theme-ubuntu-text
    sudo dpkg --configure initramfs-tools
    Code:
     sudo dpkg --configure initramfs-tools
    Setting up initramfs-tools (0.99ubuntu13) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing initramfs-tools (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initramfs-tools
    sudo apt-get install initramfs-tools:
    Code:
     sudo apt-get install initramfs-tools
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    initramfs-tools is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 319 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Setting up initramfs-tools (0.99ubuntu13) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing initramfs-tools (--configure):
     subprocess installed post-installation script returned error exit status 1
    Setting up plymouth-theme-ubuntu-text (0.8.2-2ubuntu30) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing plymouth-theme-ubuntu-text (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initramfs-tools
     plymouth-theme-ubuntu-text
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Code:
     df -h
    Filesystem      Size  Used Avail Use% Mounted on
    /cow            3.0G  270M  2.6G  10% /
    udev            237M  4.0K  237M   1% /dev
    tmpfs            98M  856K   97M   1% /run
    /dev/sdb1       3.8G  3.8G     0 100% /cdrom
    /dev/loop0      638M  638M     0 100% /rofs
    tmpfs           244M  280K  244M   1% /tmp
    none            5.0M  4.0K  5.0M   1% /run/lock
    none            244M  132K  244M   1% /run/shm
    Code:
    sudo apt-get install lzma
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    lzma is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 319 not upgraded.
    2 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Setting up initramfs-tools (0.99ubuntu13) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing initramfs-tools (--configure):
     subprocess installed post-installation script returned error exit status 1
    Setting up plymouth-theme-ubuntu-text (0.8.2-2ubuntu30) ...
    update-initramfs: deferring update (trigger activated)
    lzma: Write error while encoding
    dpkg: error processing plymouth-theme-ubuntu-text (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initramfs-tools
     plymouth-theme-ubuntu-text
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  2. #2
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Execute this
    Code:
    sudo apt-get clean all
    sudo apt-get get update
    sudo apt-get dist-upgrade
    Post error message here, if any.
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  3. #3
    Just Joined!
    Join Date
    Apr 2012
    Posts
    5
    Code:
    Setting up language-pack-zh-hans-base (1:12.04+20120508) ...
    Generating locales...
      zh_CN.UTF-8... done
      zh_SG.UTF-8... done
    Generation complete.
    dpkg: dependency problems prevent configuration of xserver-xorg-core:
     xserver-xorg-core depends on udev (>= 149); however:
      Package udev is not configured yet.
    dpkg: error processing xserver-xorg-core (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of network-manager:
     network-manager depends on udev; however:
      Package udev is not configured yet.
    dpkg: error processing network-manager (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Setting up grub-common (1.99-21ubuntu3.1) ...
    Installing new version of config file /etc/grub.d/10_linux ...
    Setting up grub2-common (1.99-21ubuntu3.1) ...
    Setting up grub-pc-bin (1.99-21ubuntu3.1) ...
    Setting up grub-pc (1.99-21ubuntu3.1) ...
    Setting up libdevmapper-event1.02.1 (2:1.02.48-4ubuntu7.1) ...
    Setting up liblvm2app2.2 (2.02.66-4ubuntu7.1) ...
    Setting up ubiquity (2.10.20) ...
    Installing new version of config file /etc/init/ubiquity.conf ...
    Setting up ubiquity-frontend-gtk (2.10.20) ...
    dpkg: dependency problems prevent configuration of udisks:
     udisks depends on udev; however:
      Package udev is not configured yet.
    dpkg: error processing udisks (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-input-evdev:
     xserver-xorg-input-evdev depends on xorg-input-abi-16; however:
      Package xorg-input-abi-16 is not installed.
      Package xserver-xorg-core which provides xorg-input-abi-16 is not configured yet.
     xserver-xorg-input-evdev depends on xserver-xorg-core (>= 2:1.11.2.902-1ubuntu1); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-input-evdev (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-input-synaptics:
     xserver-xorg-input-synaptics depends on udev; however:
      Package udev is not configured yet.
     xserver-xorg-input-synaptics depends on xorg-input-abi-16; however:
      Package xorg-input-abi-16 is not installed.
      Package xserver-xorg-core which provides xorg-input-abi-16 is not configured yet.
     xserver-xorg-input-synaptics depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-input-synaptics (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-input-vmmouse:
     xserver-xorg-input-vmmouse depends on xorg-input-abi-16; however:
      Package xorg-input-abi-16 is not installed.
      Package xserver-xorg-core which provides xorg-input-abi-16 is not configured yet.
     xserver-xorg-input-vmmouse depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
     xserver-xorg-input-vmmouse depends on udev; however:
      Package udev is not configured yet.
    dpkg: error processing xserver-xorg-input-vmmouse (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-video-intel:
     xserver-xorg-video-intel depends on xorg-video-abi-11; however:
      Package xorg-video-abi-11 is not installed.
      Package xserver-xorg-core which provides xorg-video-abi-11 is not configured yet.
     xserver-xorg-video-intel depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-video-intel (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-video-vmware:
     xserver-xorg-video-vmware depends on xorg-video-abi-11; however:
      Package xorg-video-abi-11 is not installed.
      Package xserver-xorg-core which provides xorg-video-abi-11 is not configured yet.
     xserver-xorg-video-vmware depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-video-vmware (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Setting up libfm-gtk1 (0.1.17-0ubuntu3.1) ...
    dpkg: dependency problems prevent configuration of initramfs-tools:
     initramfs-tools depends on udev (>= 147~-5); however:
      Package udev is not configured yet.
    dpkg: error processing initramfs-tools (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Setting up perl (5.14.2-6ubuntu2.1) ...
    dpkg: dependency problems prevent configuration of apparmor:
     apparmor depends on initramfs-tools; however:
      Package initramfs-tools is not configured yet.
    dpkg: error processing apparmor (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of linux-image-3.2.0-31-generic:
     linux-image-3.2.0-31-generic depends on initramfs-tools (>= 0.36ubuntu6); however:
      Package initramfs-tools is not configured yet.
    dpkg: error processing linux-image-3.2.0-31-generic (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of linux-image-generic:
     linux-image-generic depends on linux-image-3.2.0-31-generic; however:
      Package linux-image-3.2.0-31-generic is not configured yet.
    dpkg: error processing linux-image-generic (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of linux-generic:
     linux-generic depends on linux-image-generic (= 3.2.0.31.34); however:
      Package linux-image-generic is not configured yet.
    dpkg: error processing linux-generic (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for resolvconf ...
    Processing triggers for python-support ...
    Errors were encountered while processing:
     plymouth-theme-ubuntu-text
     udev
     dmsetup
     xserver-xorg-core
     network-manager
     udisks
     xserver-xorg-input-evdev
     xserver-xorg-input-synaptics
     xserver-xorg-input-vmmouse
     xserver-xorg-video-intel
     xserver-xorg-video-vmware
     initramfs-tools
     apparmor
     linux-image-3.2.0-31-generic
     linux-image-generic
     linux-generic
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Setting up language-pack-zh-hans-base (1:12.04+20120508) ...
    Generating locales...
      zh_CN.UTF-8... done
      zh_SG.UTF-8... done
    Generation complete.
    dpkg: dependency problems prevent configuration of xserver-xorg-core:
     xserver-xorg-core depends on udev (>= 149); however:
      Package udev is not configured yet.
    dpkg: error processing xserver-xorg-core (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of network-manager:
     network-manager depends on udev; however:
      Package udev is not configured yet.
    dpkg: error processing network-manager (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Setting up grub-common (1.99-21ubuntu3.1) ...
    Installing new version of config file /etc/grub.d/10_linux ...
    Setting up grub2-common (1.99-21ubuntu3.1) ...
    Setting up grub-pc-bin (1.99-21ubuntu3.1) ...
    Setting up grub-pc (1.99-21ubuntu3.1) ...
    Setting up libdevmapper-event1.02.1 (2:1.02.48-4ubuntu7.1) ...
    Setting up liblvm2app2.2 (2.02.66-4ubuntu7.1) ...
    Setting up ubiquity (2.10.20) ...
    Installing new version of config file /etc/init/ubiquity.conf ...
    Setting up ubiquity-frontend-gtk (2.10.20) ...
    dpkg: dependency problems prevent configuration of udisks:
     udisks depends on udev; however:
      Package udev is not configured yet.
    dpkg: error processing udisks (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-input-evdev:
     xserver-xorg-input-evdev depends on xorg-input-abi-16; however:
      Package xorg-input-abi-16 is not installed.
      Package xserver-xorg-core which provides xorg-input-abi-16 is not configured yet.
     xserver-xorg-input-evdev depends on xserver-xorg-core (>= 2:1.11.2.902-1ubuntu1); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-input-evdev (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-input-synaptics:
     xserver-xorg-input-synaptics depends on udev; however:
      Package udev is not configured yet.
     xserver-xorg-input-synaptics depends on xorg-input-abi-16; however:
      Package xorg-input-abi-16 is not installed.
      Package xserver-xorg-core which provides xorg-input-abi-16 is not configured yet.
     xserver-xorg-input-synaptics depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-input-synaptics (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-input-vmmouse:
     xserver-xorg-input-vmmouse depends on xorg-input-abi-16; however:
      Package xorg-input-abi-16 is not installed.
      Package xserver-xorg-core which provides xorg-input-abi-16 is not configured yet.
     xserver-xorg-input-vmmouse depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
     xserver-xorg-input-vmmouse depends on udev; however:
      Package udev is not configured yet.
    dpkg: error processing xserver-xorg-input-vmmouse (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-video-intel:
     xserver-xorg-video-intel depends on xorg-video-abi-11; however:
      Package xorg-video-abi-11 is not installed.
      Package xserver-xorg-core which provides xorg-video-abi-11 is not configured yet.
     xserver-xorg-video-intel depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-video-intel (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of xserver-xorg-video-vmware:
     xserver-xorg-video-vmware depends on xorg-video-abi-11; however:
      Package xorg-video-abi-11 is not installed.
      Package xserver-xorg-core which provides xorg-video-abi-11 is not configured yet.
     xserver-xorg-video-vmware depends on xserver-xorg-core (>= 2:1.10.99.901); however:
      Package xserver-xorg-core is not configured yet.
    dpkg: error processing xserver-xorg-video-vmware (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Setting up libfm-gtk1 (0.1.17-0ubuntu3.1) ...
    dpkg: dependency problems prevent configuration of initramfs-tools:
     initramfs-tools depends on udev (>= 147~-5); however:
      Package udev is not configured yet.
    dpkg: error processing initramfs-tools (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Setting up perl (5.14.2-6ubuntu2.1) ...
    dpkg: dependency problems prevent configuration of apparmor:
     apparmor depends on initramfs-tools; however:
      Package initramfs-tools is not configured yet.
    dpkg: error processing apparmor (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of linux-image-3.2.0-31-generic:
     linux-image-3.2.0-31-generic depends on initramfs-tools (>= 0.36ubuntu6); however:
      Package initramfs-tools is not configured yet.
    dpkg: error processing linux-image-3.2.0-31-generic (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of linux-image-generic:
     linux-image-generic depends on linux-image-3.2.0-31-generic; however:
      Package linux-image-3.2.0-31-generic is not configured yet.
    dpkg: error processing linux-image-generic (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  dpkg: dependency problems prevent configuration of linux-generic:
     linux-generic depends on linux-image-generic (= 3.2.0.31.34); however:
      Package linux-image-generic is not configured yet.
    dpkg: error processing linux-generic (--configure):
     dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
                                                                  Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for resolvconf ...
    Processing triggers for python-support ...
    Errors were encountered while processing:
     plymouth-theme-ubuntu-text
     udev
     dmsetup
     xserver-xorg-core
     network-manager
     udisks
     xserver-xorg-input-evdev
     xserver-xorg-input-synaptics
     xserver-xorg-input-vmmouse
     xserver-xorg-video-intel
     xserver-xorg-video-vmware
     initramfs-tools
     apparmor
     linux-image-3.2.0-31-generic
     linux-image-generic
     linux-generic
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    this is the error generated by dist-upgrade

  4. #4
    Administrator MikeTbob's Avatar
    Join Date
    Apr 2006
    Location
    Texas
    Posts
    7,864
    Does this help any?
    Code:
    sudo dpkg-reconfigure -a
    I do not respond to private messages asking for Linux help, Please keep it on the forums only.
    All new users please read this.** Forum FAQS. ** Adopt an unanswered post.

    I'd rather be lost at the lake than found at home.

  5. #5
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Did you edit sources list recently? Added/removed sources?
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •